Skip to main content
GET
Get All Transactions associated to an account

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Query Parameters

accountId
string
required

the account id

orderBy
string
default:-chargedDate
filters
string
page
integer
default:0
size
integer
default:50

Response

OK - Transaction information successfully retrieved

id
string

The Unique PLM Transaction ID

cspContext
string

External BSS payment description

Maximum string length: 255
partnerOrganizationCode
string
Maximum string length: 36
partnerTransactionId
string

External partner payment identifier

Maximum string length: 255
chargedDate
string

Date the payment transaction is charged

currency
string<ISO 4217>

The currency of the amount

Pattern: ^[A-Z]{3}$
amount
string

The amount to be charged to the end customer

status
string

Status of the transaction once processed

Maximum string length: 20
cspErrorCode
string

Error code from CSP

statusCode
string

The status code

accountId
string
accountEntityId
string

Account ID

metadata
object

A set of key/value pairs that you can attach to an object. Useful for exchanging additional information.

items
object[]

The array of Transaction Items belonging to this transaction. Items correspond to the charges.There will be 2 separate items - One for the actual amount and other for tax amount.

billing_descriptor
string

Optional "soft descriptor" to send to the CSP for this transaction.

original_billing_date
string<datetime>

The original scheduled billing date associated with the billing for which this transaction collects funds. For an initial attempt, this is the same as the transaction date; for a retry transaction this is the original attempt date.